import 'package:json_annotation/json_annotation.dart';

part 'orderInstallment.g.dart';

@JsonSerializable()
class OrderInstallment {
  OrderInstallment();

  String id;
  double feeAmount;
  double subTotalAmount;
  double totalAmount;
  bool isPaid;
  bool hasAutomaticCharge;
  String forecast;
  String datePaid;

  factory OrderInstallment.fromJson(Map<String, dynamic> json) =>
      _$OrderInstallmentFromJson(json);

  Map<String, dynamic> toJson() => _$OrderInstallmentToJson(this);
}
