import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/opinion.dart';

part 'evaluation.g.dart';

@JsonSerializable()
class Evaluation {
  Evaluation();

  int oneStarsCount;
  int twoStarsCount;
  int threeStarsCount;
  int fourStarsCount;
  int fiveStarsCount;
  double starsAverage;
  List<Opinion> evaluations;

  factory Evaluation.fromJson(Map<String, dynamic> json) =>
      _$EvaluationFromJson(json);

  Map<String, dynamic> toJson() => _$EvaluationToJson(this);
}
